Loading...
Searching...
No Matches
CglTreeInfo.hpp File Reference
`#include "OsiCuts.hpp"`
`#include "OsiSolverInterface.hpp"`
`#include "CoinHelperFunctions.hpp"`
Include dependency graph for CglTreeInfo.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | CglTreeInfo
| Information about where the cut generator is invoked from. More...
struct | CliqueEntry
| Derived class to pick up probing info. More...
class | CglTreeProbingInfo

## Functions

int | sequenceInCliqueEntry (const CliqueEntry &cEntry)
void | setSequenceInCliqueEntry (CliqueEntry &cEntry, int sequence)
bool | oneFixesInCliqueEntry (const CliqueEntry &cEntry)
void | setOneFixesInCliqueEntry (CliqueEntry &cEntry, bool oneFixes)

## Function Documentation

## sequenceInCliqueEntry()

int sequenceInCliqueEntry | ( | const CliqueEntry & | cEntry | ) |

inline

Definition at line 196 of file CglTreeInfo.hpp.

## setSequenceInCliqueEntry()

void setSequenceInCliqueEntry | ( | CliqueEntry & | cEntry,
|  | int | sequence )

inline

Definition at line 200 of file CglTreeInfo.hpp.

## oneFixesInCliqueEntry()

bool oneFixesInCliqueEntry | ( | const CliqueEntry & | cEntry | ) |

inline

Definition at line 204 of file CglTreeInfo.hpp.

## setOneFixesInCliqueEntry()

void setOneFixesInCliqueEntry | ( | CliqueEntry & | cEntry,
|  | bool | oneFixes )

inline

Definition at line 208 of file CglTreeInfo.hpp.